RÉFÉRENCE RESTCatalogue des endpoints
Les exemples utilisent https://exemple.fr/silverpeas/services/ : adaptez le domaine et le contexte à votre installation.
résultats affichés
GETLister les actualités
/services/news/{componentId}
Retourne les actualités de l’instance QuickInfo ; le périmètre dépend du rôle de l’utilisateur.
Paramètres / données : componentId
curl -i -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" \
"https://exemple.fr/silverpeas/services/news/{componentId}"
GETConsulter une actualité
/services/news/{componentId}/{newsId}
Retourne les informations d’une actualité ; une actualité inexistante entraîne une réponse 404.
Paramètres / données : componentId, newsId
curl -i -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" \
"https://exemple.fr/silverpeas/services/news/{componentId}/{newsId}"
POSTAccuser réception
/services/news/{componentId}/{newsId}/acknowledge
Enregistre la prise de connaissance d’une actualité pour l’utilisateur connecté.
Paramètres / données : componentId, newsId
curl -i -X POST -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" \
"https://exemple.fr/silverpeas/services/news/{componentId}/{newsId}/acknowledge"
DELETESupprimer une actualité
/services/news/{componentId}/{newsId}
Supprime une actualité ; exige un rôle au moins Publisher dans l’instance.
Paramètres / données : componentId, newsId
curl -i -X DELETE -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" \
"https://exemple.fr/silverpeas/services/news/{componentId}/{newsId}"
POSTCréer une publication GED
/services/publications/{componentId}/{nodeId}
Crée une publication dans le dossier nodeId. Nécessite le rôle Writer ou supérieur ; corps JSON PublicationEntity ; succès HTTP 201.
Paramètres / données : componentId, nodeId, corps JSON
curl -i -X POST -H "Content-Type: application/json" -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" \
"https://exemple.fr/silverpeas/services/publications/{componentId}/{nodeId}" \
--data @publication.json
POSTMettre à jour une publication GED
/services/publications/{componentId}
Paramètres / données : componentId, corps JSON PublicationEntity
curl -i -X POST -H "Content-Type: application/json" -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" \
"https://exemple.fr/silverpeas/services/publications/{componentId}" \
--data @publication.json
GET Consulter la racine GED
/services/folders/{componentId}
Paramètre lang facultatif.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/folders/{componentId}"
GET Consulter un dossier GED
/services/folders/{componentId}/{path}
path : chemin d’identifiants numériques séparés par / ; paramètre lang.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/folders/{componentId}/{path}"
GET Fil d’Ariane GED
/services/folders/{componentId}/{path}/path
Retourne le chemin du dossier ; paramètre lang.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/folders/{componentId}/{path}/path"
GET Sous-dossiers GED
/services/folders/{componentId}/{path}/children
Retourne les enfants du dossier ; paramètre lang.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/folders/{componentId}/{path}/children"
GET Arborescence GED
/services/folders/{componentId}/{path}/treeview
Le chemin commence par un identifiant numérique.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/folders/{componentId}/{path}/treeview"
GET Actualités du bandeau
/services/news/ticker
Paramètre limit facultatif.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/news/ticker"
GET Flux RSS agrégé
/services/rss/{componentId}
Paramètre agregate.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/rss/{componentId}"
GET Toutes les adhésions
/services/community/{componentInstanceId}/memberships/all
Paramètre page.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/community/{componentInstanceId}/memberships/all"
GET Adhésions en attente
/services/community/{componentInstanceId}/memberships/pending
Paramètre page.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/community/{componentInstanceId}/memberships/pending"
GET Adhésions actives
/services/community/{componentInstanceId}/memberships/members
Paramètre page.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/community/{componentInstanceId}/memberships/members"
GET Adhésion d’un utilisateur
/services/community/{componentInstanceId}/memberships/users/{userId}
Identifiant userId.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/community/{componentInstanceId}/memberships/users/{userId}"
POSTCréer un dossier
/services/folders/{componentId}/{path}
Crée un nœud enfant depuis une entité JSON.
curl -i -X POST -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/folders/{componentId}/{path}"
GETConsulter une adhésion
/services/community/{componentInstanceId}/memberships/all/{membershipId}
Récupère une adhésion par identifiant.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/community/{componentInstanceId}/memberships/all/{membershipId}"
GETConsulter une communauté
/services/community/{componentInstanceId}
Retourne la communauté de l’instance.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/community/{componentInstanceId}"
PUTModifier une communauté
/services/community/{componentInstanceId}
Met à jour la communauté.
curl -i -X PUT -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/community/{componentInstanceId}"
GETConsulter un album
/services/gallery/{componentInstanceId}/albums/{albumId}
Retourne un album de la médiathèque.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/gallery/{componentInstanceId}/albums/{albumId}"
GETConsulter une photo
/services/gallery/{componentInstanceId}/albums/{albumId}/photos/{photoId}
Retourne les métadonnées d’une photo.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/gallery/{componentInstanceId}/albums/{albumId}/photos/{photoId}"
GETConsulter une vidéo
/services/gallery/{componentInstanceId}/albums/{albumId}/videos/{videoId}
Retourne les métadonnées d’une vidéo.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/gallery/{componentInstanceId}/albums/{albumId}/videos/{videoId}"
GETConsulter un son
/services/gallery/{componentInstanceId}/albums/{albumId}/sounds/{soundId}
Retourne les métadonnées d’un son.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/gallery/{componentInstanceId}/albums/{albumId}/sounds/{soundId}"
GETTélécharger une vidéo
/services/gallery/{componentInstanceId}/videos/{videoId}/content
Retourne le contenu binaire d’une vidéo.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/gallery/{componentInstanceId}/videos/{videoId}/content"
GETTélécharger un son
/services/gallery/{componentInstanceId}/sounds/{soundId}/content
Retourne le contenu binaire d’un son.
curl -i -X GET -H "Authorization: Bearer $SILVERPEAS_API_TOKEN" "https://exemple.fr/silverpeas/services/gallery/{componentInstanceId}/sounds/{soundId}/content"